ChangeSet 1.1722.83.14, 2004/06/03 16:49:51-07:00, stern@rowland.harvard.edu

[PATCH] USB: 2.6-BK usb (printing) broken

On Sat, 29 May 2004, Jens Axboe wrote:

> > > Both 2.6.7-rc1 and BK current spit out a bunch of:
> > >
> > > drivers/usb/class/usblp.c: usblp1: nonzero read/write bulk status received: -2
> > > drivers/usb/class/usblp.c: usblp1: error -2 reading from printer
> > > drivers/usb/class/usblp.c: usblp1: error -115 reading from printer
> > > drivers/usb/class/usblp.c: usblp1: error -115 reading from printer
> > > ...
> > >
> > > (about ~80 of that last line) but work for me.

> Sorry wasn't quite clear - the above messages are with 2.6.7-rc1 and
> current bk with your patch backed out. Current bk with the patch reports
> only the timeouts I originally listed.

Okay, I feel better.

It looks like those errors you see are caused by a bug in the usblp
driver.  The patch below ought to help.


 drivers/usb/class/usblp.c |    1 +
 1 files changed, 1 insertion(+)


diff -Nru a/drivers/usb/class/usblp.c b/drivers/usb/class/usblp.c
--- a/drivers/usb/class/usblp.c	Fri Jun 18 11:04:43 2004
+++ b/drivers/usb/class/usblp.c	Fri Jun 18 11:04:43 2004
@@ -761,6 +761,7 @@
 			usblp->minor, usblp->readurb->status);
 		usblp->readurb->dev = usblp->dev;
  		usblp->readcount = 0;
+		usblp->rcomplete = 0;
 		if (usb_submit_urb(usblp->readurb, GFP_KERNEL) < 0)
 			dbg("error submitting urb");
 		count = -EIO;
